## ros-noetic-hri-actions-msgs 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(hri_actions_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  actionlib_msgs
  geometry_msgs
)

add_message_files(
    DIRECTORY msg
    FILES
    LookAtWithStyle.msg
    Intent.msg
)

add_action_files(
  DIRECTORY action
  FILES
    LookAt.action
    PointTrajectory.action
    ApplicationControl.action
)
generate_messages(
    DEPENDENCIES
    actionlib_msgs
    geometry_msgs
)

catkin_package(
    CATKIN_DEPENDS 
    geometry_msgs
    actionlib_msgs
)

=== debian/changelog ===
ros-noetic-hri-actions-msgs (0.4.2-1focal) focal; urgency=high

  * Revert "add actions to start/stop ASR"
    This reverts commit bbd9646771a5ba4ac6e680c1c2e036f4b4730fa6.
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 15 Jun 2023 22:00:00 -0000

ros-noetic-hri-actions-msgs (0.4.1-1focal) focal; urgency=high

  * add actions to start/stop ASR
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 16 Jan 2023 23:00:00 -0000

ros-noetic-hri-actions-msgs (0.4.0-1focal) focal; urgency=high

  * string constants should not use quotes
    While here:
    - remove a spurious comment on one of the comments lines
    - prefix moadlity string constants with __modality_ for consistency
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 02 Jan 2023 23:00:00 -0000

ros-noetic-hri-actions-msgs (0.3.2-1focal) focal; urgency=high

  * Simple action to control (start/stop) applications
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 04 Dec 2022 23:00:00 -0000

ros-noetic-hri-actions-msgs (0.3.1-1focal) focal; urgency=high

  * Intent.msg: rename the field 'action' to 'intent' to avoid confusion
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 04 Dec 2022 23:00:00 -0000

ros-noetic-hri-actions-msgs (0.3.0-1focal) focal; urgency=high

  * add intents via Intent.msg
    'Intents' represents actions that a user (or sometimes, the robot
    itself) wants to be performed by the robot.
    They are used to decouple the user intent perception from the robot
    controller.
    The Intent.msg specifies an abstract model for these intents.
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 01 Dec 2022 23:00:00 -0000

ros-noetic-hri-actions-msgs (0.2.0-1focal) focal; urgency=high

  * add LookAtWithStyle.msg
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Wed, 17 Aug 2022 22:00:00 -0000

ros-noetic-hri-actions-msgs (0.1.0-1focal) focal; urgency=high

  * stamp PointTrajectory
  * add PointTrajectoryAction
  * add gaze action
  * Contributors: Sara Cooper, Luca Lach

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 27 Jun 2022 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-hri-actions-msgs
Section: misc
Priority: optional
Maintainer: Séverin Lemaignan <severin.lemaignan@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-hri-actions-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib-msgs, ros-noetic-geometry-msgs
Description: Action definitions useful for Human-Robot Interaction

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-hri-actions-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
